Bug 1134428: Update js/src/make-source-package.sh to include all source files now needed for a SpiderMonkey build. DONTBUILD r=sstangl
authorJim Blandy <jimb@mozilla.com>
Fri, 20 Feb 2015 10:32:56 -0800
changeset 257135 3a3a3cb8522d6f3e2c55b643c7a20b4fb6e9a0f6
parent 257134 0cd1e60fd265203b487c97e61341bec2f7fc274b
child 257136 21771a04f183fa5b1db518d2b5a312f6bdd3c047
push id4610
push userjlund@mozilla.com
push dateMon, 30 Mar 2015 18:32:55 +0000
treeherdermozilla-beta@4df54044d9ef [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewerssstangl
bugs1134428
milestone38.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1134428: Update js/src/make-source-package.sh to include all source files now needed for a SpiderMonkey build. DONTBUILD r=sstangl
js/src/make-source-package.sh
--- a/js/src/make-source-package.sh
+++ b/js/src/make-source-package.sh
@@ -24,16 +24,22 @@ tgtpath=${DIST}/${pkgpath}
 taropts="-jcf"
 
 case $cmd in
 "clean")
 	echo "Cleaning ${pkg} and ${tgtpath} ..."
 	rm -rf ${pkg} ${tgtpath}
 	;;
 "build")
+        # Ensure that the configure script is newer than the configure.in script.
+        if [ ${SRCDIR}/configure.in -nt ${SRCDIR}/configure ]; then
+            echo "error: js/src/configure is out of date. Please regenerate before packaging." >&2
+            exit 1
+        fi
+
 	echo "Packaging source tarball ${pkg}..."
 	if [ -d ${tgtpath} ]; then
 		echo "WARNING - dist tree ${tgtpath} already exists!"
 	fi
 	${MKDIR} -p ${tgtpath}/js/src
 
 	# copy the embedded icu
 	${MKDIR} -p ${tgtpath}/intl
@@ -43,22 +49,21 @@ case $cmd in
 	cp -t ${tgtpath} -dRp ${SRCDIR}/../../Makefile.in ${SRCDIR}/../../moz.build
 
 	# copy a nspr file used by the build system
 	${MKDIR} -p ${tgtpath}/nsprpub/config
 	cp -t ${tgtpath}/nsprpub/config -dRp \
 		${SRCDIR}/../../nsprpub/config/make-system-wrappers.pl
 
 	# copy build and config directory.
-	${MKDIR} -p ${tgtpath}/build
 	cp -t ${tgtpath} -dRp ${SRCDIR}/../../build ${SRCDIR}/../../config
 
 	# put in js itself
 	cp -t ${tgtpath} -dRp ${SRCDIR}/../../mfbt
-	cp -t ${tgtpath}/js -dRp ${SRCDIR}/../jsd ${SRCDIR}/../public
+	cp -t ${tgtpath}/js -dRp ${SRCDIR}/../public
 	find ${SRCDIR} -mindepth 1 -maxdepth 1 -not -path ${DIST} -a -not -name ${pkg} \
 		-exec cp -t ${tgtpath}/js/src -dRp {} +
 
 	# distclean if necessary
 	if [ -e ${tgtpath}/js/src/Makefile ]; then
 		${MAKE} -C ${tgtpath}/js/src distclean
 	fi
 
@@ -71,16 +76,23 @@ case $cmd in
 	cp -t ${tgtpath}/media/webrtc/trunk/tools -dRp \
 		${SRCDIR}/../../media/webrtc/trunk/tools/gyp
 	${MKDIR} -p ${tgtpath}/testing
 	cp -t ${tgtpath}/testing -dRp \
 		${SRCDIR}/../../testing/mozbase
 	${MKDIR} -p ${tgtpath}/modules/zlib
 	cp -t ${tgtpath}/modules/zlib -dRp \
 		${SRCDIR}/../../modules/zlib/src
+	${MKDIR} -p ${tgtpath}/layout/tools/reftest
+	cp -t ${tgtpath}/layout/tools/reftest -dRp \
+	        ${SRCDIR}/../../layout/tools/reftest/reftest
+	${MKDIR} -p ${tgtpath}/toolkit/mozapps/installer
+	cp -t ${tgtpath}/toolkit/mozapps/installer -dRp \
+	        ${SRCDIR}/../../toolkit/mozapps/installer/package-name.mk \
+	        ${SRCDIR}/../../toolkit/mozapps/installer/upload-files.mk \
 
 	# remove *.pyc and *.pyo files if any
 	find ${tgtpath} -type f -name "*.pyc" -o -name "*.pyo" |xargs rm -f
 
 	# copy or create INSTALL
 	if [ -e {DIST}/INSTALL ]; then
 		cp -t ${tgtpath} ${DIST}/INSTALL
 	else